# List

`GET /workspaces`

Get all workspaces accessible to the user

**Required Scopes:** `WORKSPACE`

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  workspaces?: ShortWorkspaceView[];
}
```

## Type Definitions

```typescript
interface ShortWorkspaceView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the workspace */
  id?: number;
  /** The name of the workspace */
  name?: string;
  /** The human-readable ID of the workspace. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end). */
  domain?: string;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces",
  "html_url": "https://app.buddy.works/workspaces",
  "workspaces": [
    {
      "url": "https://api.buddy.works/workspaces/my-company",
      "html_url": "https://app.buddy.works/my-company",
      "id": 1,
      "name": "My Company",
      "domain": "my-company"
    },
    {
      "url": "https://api.buddy.works/workspaces/other-company",
      "html_url": "https://app.buddy.works/other-company",
      "id": 2,
      "name": "Other Company",
      "domain": "other-company"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/workspaces/list